import React from "react";
import Image from "next/image";
import DiscordSVG from "../../public/discord.svg";
import TwitterSVG from "../../public/twitter.svg";
import FacebookSVG from "../../public/facebook.svg";
import InstagramSVG from "../../public/instagram.svg";
import GithubSVG from "../../public/github.svg";
import "../stylesheets/footer.scss";
import Link from "next/link";

const Footer = () => {
  return (
    <div className="footer">
      <div className="footer-links">
        <ul className="footer-links-ul">
          <li className="footer-links-ul-li">
            <a
              href="https://discord.gg/GA6mvMEzSu"
              target="_blank"
              rel="noreferrer"
              className="footer-links-ul-li-a"
            >
              <Image
                priority
                className="footer-links-ul-li-svg"
                src={DiscordSVG}
                alt=""
              />
            </a>
          </li>
          <li className="footer-links-ul-li">
            <a
              href="https://twitter.com/ILTech_Robotics"
              target="_blank"
              rel="noreferrer"
              className="footer-links-ul-li-a"
            >
              <Image
                priority
                className="footer-links-ul-li-svg"
                src={TwitterSVG}
                alt=""
              />
            </a>
          </li>
          <li className="footer-links-ul-li">
            <a
              href="https://www.facebook.com/IllinoisTechRobotics/"
              target="_blank"
              rel="noreferrer"
              className="footer-links-ul-li-a"
            >
              <Image
                priority
                className="footer-links-ul-li-svg"
                src={FacebookSVG}
                alt=""
              />
            </a>
          </li>
          <li className="footer-links-ul-li">
            <a
              href="https://www.instagram.com/illinoistechrobotics/"
              target="_blank"
              rel="noreferrer"
              className="footer-links-ul-li-a"
            >
              <Image
                priority
                className="footer-links-ul-li-svg"
                src={InstagramSVG}
                alt=""
              />
            </a>
          </li>
          <li className="footer-links-ul-li">
            <a
              href="https://github.com/illinoistechrobotics"
              target="_blank"
              rel="noreferrer"
              className="footer-links-ul-li-a"
            >
              <Image
                priority
                className="footer-links-ul-li-svg"
                src={GithubSVG}
                alt=""
              />
            </a>
          </li>
        </ul>
      </div>

      <div className="footer-toes">
        <ul className="footer-toes-links">
          <li className="footer-toes-links-link">
            <Link href="/about" className="footer-toes-links-link-a">
              About
            </Link>
          </li>
          <li className="footer-toes-links-link">
            <Link href="/contact" className="footer-toes-links-link-a">
              Contact
            </Link>
          </li>
          <li className="footer-toes-links-link">
            <Link href="/projects" className="footer-toes-links-link-a">
              Projects
            </Link>
          </li>
          <li className="footer-toes-links-link">
            <Link href="/gallery" className="footer-toes-links-link-a">
              Gallery
            </Link>
          </li>
        </ul>
      </div>
      <span className="footer-toes-span">
        © {new Date().getFullYear()} Illinois Tech Robotics
      </span>
    </div>
  );
};

export default Footer;
